Alarm Manager Clear Triggered Alarms

Alarm Manager Clear Triggered Alarms
Resets all triggered alarms to green.

Resets all triggered alarms to green.

Should be used when mass alarm reset is needed.

Required privileges: Alarm.SetStatus

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/AlarmManager/{moId}/ClearTriggeredAlarms
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case AlarmManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
ClearTriggeredAlarmsRequestType of type(s) application/json
Required

Show optional properties

{
    "filter": {}
}
{
    "filter": {
        "_typeName": "string",
        "status": [
            "string"
        ],
        "typeEntity": "string",
        "typeTrigger": "string"
    }
}
object
filter
Required

Alarm Filter used to filter/group alarms.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"filter":"object"}' https://{api_host}/sdk/vim25/{release}/AlarmManager/{moId}/ClearTriggeredAlarms